"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("@babel/types");
const convert_flow_type_1 = require("./convert_flow_type");
function convertDeclareFunction(path) {
    const nodePath = path.get('id.typeAnnotation.typeAnnotation');
    const identifiers = nodePath.node.params.map((p, i) => {
        const name = (p.name && p.name.name) || `x${i}`;
        const ftParam = nodePath.get(`params.${i}`);
        const typeAnn = ftParam.get('typeAnnotation');
        const iden = types_1.identifier(name);
        iden.typeAnnotation = types_1.tsTypeAnnotation(convert_flow_type_1.convertFlowType(typeAnn));
        return iden;
    });
    const returnType = types_1.tsTypeAnnotation(convert_flow_type_1.convertFlowType(nodePath.get('returnType')));
    return types_1.tsDeclareFunction(path.node.id, null, identifiers, returnType);
}
exports.convertDeclareFunction = convertDeclareFunction;
//# sourceMappingURL=convert_declare_function.js.map