"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("@babel/types");
function getMemberExpression(members) {
    if (members.length === 1) {
        return members[0];
    }
    const lastMember = members.pop();
    return types_1.memberExpression(members.length === 1 ? members[0] : getMemberExpression(members), lastMember);
}
function getConditionalExpression(members, index) {
    const currentMember = getMemberExpression(members.slice(0, index + 1));
    const isLastMember = index === members.length - 1;
    return types_1.conditionalExpression(types_1.binaryExpression('==', currentMember, types_1.nullLiteral()), types_1.nullLiteral(), isLastMember ? currentMember : getConditionalExpression(members, index + 1));
}
function convertMemberExpression(path) {
    const objChainReverse = [];
    let current = path.node;
    do {
        objChainReverse.push(current.property);
        if (!types_1.isOptionalMemberExpression(current.object)) {
            objChainReverse.push(current.object);
            break;
        }
        current = current.object;
    } while (current);
    const objChain = objChainReverse.reverse();
    return getConditionalExpression(objChain, 0);
}
exports.convertMemberExpression = convertMemberExpression;
//# sourceMappingURL=convert_member_expression.js.map